# kdecore Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# NETRect Struct Reference

Simple rectangle class for NET classes. More...

`#include <netwm_def.h>`

Collaboration diagram for NETRect:

[legend]
List of all members.

## Public Attributes

NETPoint | pos
| Position of the rectangle.
NETSize | size
| Size of the rectangle.

## Detailed Description

Simple rectangle class for NET classes.

This class is a convenience class defining a rectangle as a point x,y with a size width by height. The existence of this class is to keep the implementation from being dependant on a separate framework/library;

NETRect is only used by the NET API. Usually QRect is the appropriate class for representing a rectangle.

Definition at line 92 of file netwm_def.h.

## Member Data Documentation

NETPoint NETRect::pos

Position of the rectangle.

See also:
  NETPoint

Definition at line 98 of file netwm_def.h.

Referenced by KWin::info().

NETSize NETRect::size

Size of the rectangle.

See also:
  NETSize

Definition at line 105 of file netwm_def.h.

Referenced by KWin::info().

The documentation for this struct was generated from the following file:

- netwm_def.h

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 12:50:10 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001